Skip to main content
GET
/
companies
List companies
curl --request GET \
  --url https://api.nateq.io/api/v1/companies \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "contactsCount": 123,
      "country": "<string>",
      "createdAt": "<string>",
      "description": "<string>",
      "domain": "<string>",
      "id": "<string>",
      "industry": "<string>",
      "name": "<string>",
      "organizationId": "<string>",
      "size": "<string>",
      "tags": [
        {
          "color": "<string>",
          "createdAt": "<string>",
          "displayName": "<string>",
          "id": "<string>",
          "name": "<string>",
          "organizationId": "<string>",
          "updatedAt": "<string>"
        }
      ],
      "updatedAt": "<string>",
      "website": "<string>"
    }
  ],
  "error": {
    "code": "<string>",
    "details": "<unknown>",
    "message": "<string>"
  },
  "message": "<string>",
  "meta": {
    "count": 123,
    "endCursor": "<string>",
    "hasNext": true,
    "hasPrevious": true,
    "limit": 123,
    "page": 123,
    "pageSize": 123,
    "pendingCount": 123,
    "startCursor": "<string>",
    "total": 123,
    "totalPages": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Your API key as a Bearer token: Authorization: Bearer tg_live_...

Query Parameters

Search by name or domain

page
integer

Page number

limit
integer

Page size

Response

200 - application/json

OK

data
object[]
error
object
message
string
meta
object
success
boolean